@import "abstracts/mixins";
@import "abstracts/vars";
@import "base/fontawesome/font-awesome-mix-var";

%flex-middle {
    @include flexbox;
    @include align-items(center);
}


.header__fixed {
    position: fixed;
    left: 0;
    right: 0;
    z-index: 100;
}

body.preview .nav-fixed, 
body.on-page-editor .nav-fixed {
    top: 89px;
}

.nav-top {
    background: $light-black;

    .row.component.column-splitter {
        @extend %flex-middle;
    }

    .link-list {
        ul {
            display: flex;
        }
    }

    &.container-fluid {
        padding: 1rem 2rem !important;
    }
}

.link-list.header-links {
    padding: 0rem;
}

.link-list.header-links>.component-content {
    h3 {
        border: none;
    }

    a {
        &::before {
            display: none !important;
        }
    }
}

.header-links-top {
    margin-left: 0.875rem;

    h3 {
        display: none;
    }
}
 
.link-list.header-links-top>.component-content {

    a {
        color: $bg-basic-color;
        padding: 0 1rem;
        font-weight: bold;
        font-size: 0.75rem;
        letter-spacing: 0.3px;

        &:hover {
            border: none;
            text-decoration: underline;
            color: $bg-basic-color;
        }
    }
}

.link-list.header-links-bottom {
    li.last {
        display: none;
    }
}

.nav-fixed {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
    box-shadow: 1px 0px 7px -1px rgba(0, 0, 0, 0.75);
}

.link-list.header-links-bottom>.component-content {

    h3 {
        display: none;
    }

    li {
        padding: 0 1.3rem;
        background: $bg-basic-color;

        a {
            color: $bg-black;
            font-size: 1.25rem;
            font-weight: bold;
            padding: 0;

            &:hover {
                border: none;
                border-bottom: 2px solid $blue;
                color: $bg-black;
            }
        }
    }


}

.header-logo {
    width: 11rem;
    border-right: 1px solid $bg-basic-color;

    svg {
        margin-right: 1rem;
        max-height: 28px;
    }

    .component {
        padding: 0;
    }
}

.nav-bottom {
    transition: top 0.2s ease-in-out;
    background: $bg-basic-color;

    .row.component.column-splitter {
        @extend %flex-middle;
    }

    .link-list {
        ul {
            margin-right: 25px;
            display: flex;
            @include justify-content(flex-end);
        }
    }

    &.container-fluid {
        padding: 1.25rem 2rem !important;
    }

    .second-nav-logo {
        padding: 0;

        a {
            font-size: 2.125rem;
            border: none;
            color: $bg-black;
            font-weight: bold;
        }

    }
}

@media (max-width: 1199px) and (min-width: 991px) {
    .link-list.header-links-top {
        &>.component-content {
            a {
                font-size: 1rem;
            }
        }
    }
}

.navbar__toggle {
    width: 3rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.navbar__mobile-btn__icon-bar {
    width: 3rem;
    display: block;
    margin-top: .0;
    margin-bottom: 3px;
    background: #fff;
    height: 0.5rem;

    &:last-child {
        margin-bottom: 0;
    }
}

.navbar__toggle {
    &:hover {
        cursor: pointer;
    }
}

.close-btn {
    .navbar__mobile-btn__icon-bar {
        &:first-child {
            transform: rotate(45deg) translateY(5px) translateX(5px);
        }

        &:nth-child(2) {
            margin-top: 0px;
        }
    }
}

@media (max-width: 991px) {

    body.preview .nav-top,
    body.on-page-editor .nav-top {
        top: 89px;
    }

    body.preview .nav-bottom,
    body.on-page-editor .nav-bottom {
        top: 17.4rem;
    }

    .header-logo {
        width: 18rem;
        border-right: none;

        svg {
            height: 30px;
        }
    }

    // .nav-top {
    //     &.container-fluid {
    //         position: fixed;
    //         left: 0;
    //         right: 0;
    //         top: 0;
    //         z-index: 100;
    //         height: 50px;
    //     }
    // }

    .nav-bottom {
        &.container-fluid {
            padding: 0 !important;
            position: fixed;
            left: -100%;
            top: 85px;
            right: auto;
            z-index: 100;
            width: 100%;
            transition: 300ms left ease-in-out;
        }

        &.menu-open {
            left: 0;
        }

        .row.component.column-splitter {
            flex-direction: column;
            align-items: flex-start;
        }

        .link-list {
            ul {
                justify-content: flex-start;
                flex-direction: column;
                margin-right: 0;
            }

            &.header-links-bottom {
                &>.component-content {


                    li {
                        padding: 7px 20px;
                        border-bottom: 1px solid #cacaca;

                        a {
                            font-size: 1.8rem;
                            font-weight: 100;
                            display: block;

                            &:hover {
                                border-bottom: none;
                            }
                        }

                        &.last {
                            display: block;

                            a {
                                color: #878787;
                                font-size: 1.5rem;
                                font-weight: 700;
                            }

                        }
                    }
                }
            }
        }

        .second-nav-logo {
            // border-bottom: 1px solid #cacaca;
            // padding: 7px 20px;
            // a {
            //     font-size: 1.7rem;
            // }
            display: none;
        }
    }


}

@media (max-width:767px) {

    body.preview .nav-bottom,
    body.on-page-editor .nav-bottom {
        top: 21.8rem;
    }
}

@media (max-width:414px) {

    body.preview .nav-top,
    body.on-page-editor .nav-top {
        top: 125px;
    }

    body.preview .nav-bottom,
    body.on-page-editor .nav-bottom {
        top: 21rem;
    }
}